# Documentation access & licensing

Soda’s documentation is designed to be accessible and relevant to all users; from those exploring Soda for free, to large-scale enterprise customers. Documentation visibility depends on your **license plan** and your **login status**.

{% if visitor.claims.plan ===  %}

> See [Broken mention](broken://pages/nEeVAUUx8V57By8ALc2b) for more information about how licenses work.
> {% endif %}

**Soda maintains two types of documentation:**

### Public documentation

Public documentation is accessible to **anyone**, without requiring a Soda account.\
It covers general topics such as:

* getting started guides;
* feature overviews and descriptions;
* Soda Cloud and Soda Runner setup;
* common configurations and syntax references;
* open-source integrations and community features;
* and more.

**Public documentation can be accessed at any time, without login.**

***

### Private documentation

Private documentation is **conditional**, meaning access depends on:

* Your **Soda license type**, and
* Whether you are **logged in to Soda** in your browser.

Private documentation includes advanced or licensed-only features such as:

* comprehensive description of features, such as architecture and integration details;
* curated documentation unique to your organization;
* custom data quality policies.

If your plan includes a feature, you **automatically gain access to its related documentation.**

***

## How access works

Access to private documentation is handled **securely and automatically** using **signed cookies** from your Soda session.

1. Log in to [**Soda Cloud**](https://cloud.soda.io/) **using the same browser** where you plan to read the documentation.
2. [Soda Docs](https://docs.soda.io/) reads your **login token (JWT)** from the browser cookies.
3. The documentation content is unlocked automatically according to your license permissions.

**No extra steps are needed.** As long as you’re **logged in on the same browser**, Soda Docs will recognize your plan and grant access accordingly.

### Troubleshooting

If you can’t access documentation you expect to see:

* Make sure you are **logged in to Soda Cloud** on the same browser.
* Refresh the page or clear cookies if access doesn’t update.
* Confirm your **license type** under your Soda account settings.
* Confirm which version of the documentation you are seeing at the **bottom of any page**.
* [**Contact** **Soda**](https://www.soda.io/contact) if your organization has access to private features but can't see the corresponding documentation.

{% hint style="info" %}
**Access is dynamic:** as your organization’s license changes, your documentation access updates automatically.
{% endhint %}

<br>

***

{% if (visitor.claims.plan === 'datasetStandard')%}
{% hint style="success" %}
You are **logged in to Soda** and seeing the **Free license** documentation. Learn more about [Documentation access & licensing](/reference/documentation-access-and-licensing.md).
{% endhint %}
{% endif %}

{% if (visitor.claims.plan === 'enterprise')%}
{% hint style="success" %}
You are **logged in to Soda** and seeing the **Team license** documentation. Learn more about [Documentation access & licensing](/reference/documentation-access-and-licensing.md).
{% endhint %}
{% endif %}

{% if (visitor.claims.plan === 'enterpriseUserBased')%}
{% hint style="success" %}
You are **logged in to Soda** and seeing the **Enterprise license** documentation. Learn more about [Documentation access & licensing](/reference/documentation-access-and-licensing.md).
{% endhint %}
{% endif %}

{% if !(visitor.claims.plan === 'enterprise' || visitor.claims.plan === 'enterpriseUserBased' || visitor.claims.plan === 'datasetStandard')%}
{% hint style="info" %}
You are **not logged in to Soda** and are viewing the default public documentation. Learn more about [Documentation access & licensing](/reference/documentation-access-and-licensing.md).
{% endhint %}
{% endif %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soda.io/reference/documentation-access-and-licensing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
